{
===============================================================================
  Copyright (©) 2003. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 04-02-2005
  Versión actual: 1.0.0
  Fecha versión actual: 04-02-2005
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit PantallaInformesVentas;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxFrame, StdCtrls, RdxBotones, ExtCtrls, RdxPaneles, RdxBarras,
  Entidades;

type
  TfrInformesVentas = class(TRdxFrame)
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    RdxPanel1: TRdxPanel;
    Panel1: TPanel;
    Image1: TImage;
    Panel2: TPanel;
    Panel3: TPanel;
    bSeleccionar: TRdxBoton;
    Panel4: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    Panel6: TPanel;
    Panel5: TPanel;
    Panel17: TPanel;
    Image4: TImage;
    Panel18: TPanel;
    Panel19: TPanel;
    RdxBoton3: TRdxBoton;
    Panel20: TPanel;
    Label7: TLabel;
    Label8: TLabel;
    Panel21: TPanel;
    Panel22: TPanel;
    Image5: TImage;
    Panel23: TPanel;
    Panel24: TPanel;
    RdxBoton4: TRdxBoton;
    Panel25: TPanel;
    Label9: TLabel;
    Label10: TLabel;
    Panel26: TPanel;
    imgSombra: TImage;
    procedure RdxBoton3Click(Sender: TObject);
    procedure bSeleccionarClick(Sender: TObject);
    procedure RdxBoton4Click(Sender: TObject);
    procedure RdxBoton2Click(Sender: TObject);
    procedure RdxBoton1Click(Sender: TObject);
    procedure RdxBoton5Click(Sender: TObject);
  protected
    function CambiarEntidad(EntidadAnterior, Entidad : TRdxEntidad): Boolean; override;
  public
    constructor Create (AOwner: TComponent); override;
  end;

var
  frInformesVentas: TfrInformesVentas;

implementation

{$R *.dfm}

uses
  Configuracion, ListadoPagosCliente, HistorialFacturacionClientes,
  ListadoFacturacionProcedencia, ListadoContratacionProcedencia,
  ListadoPresupuestosProcedencia,
  InformeTrimestral, TablaClientes, StrFunc, Mensajes, Literales;

procedure TfrInformesVentas.RdxBoton3Click(Sender: TObject);
begin
  if not esCadenaVacia(dmTablaClientes.DarNombreCliMin) then
  begin
    Contenido := TfrHistorialFacturacionClientes.Create(Self);
    Contenido.Modo := Imprimir;
  end
  else
    verMensaje(msgCliNoHayCli);
end;

procedure TfrInformesVentas.bSeleccionarClick(Sender: TObject);
begin
  Contenido := TfrListadoPagosCliente.Create(Self);
  Contenido.Modo := Consultar;
end;

procedure TfrInformesVentas.RdxBoton4Click(Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralVentas;
  Contenido.Modo := Consultar;
end;

constructor TfrInformesVentas.Create(AOwner: TComponent);
begin
  inherited;
  Entidad := entInformes;
end;

function TfrInformesVentas.CambiarEntidad(EntidadAnterior, Entidad: TRdxEntidad): Boolean;
begin
  inherited CambiarEntidad(EntidadAnterior, Entidad);
  ConfigurarFrame(Self, Self.Entidad);
end;

procedure TfrInformesVentas.RdxBoton2Click(Sender: TObject);
begin
  inherited;
  Contenido := TfrListadoContratacionProcedencia.Create(Self);
  Contenido.Entidad := entInformes;
  Contenido.Modo := Consultar;
end;

procedure TfrInformesVentas.RdxBoton1Click(Sender: TObject);
begin
  inherited;
  Contenido := TfrListadoFacturacionProcedencia.Create(Self);
  Contenido.Entidad := entInformes;
  Contenido.Modo := Consultar;
end;

procedure TfrInformesVentas.RdxBoton5Click(Sender: TObject);
begin
  inherited;
  Contenido := TfrListadoPresupuestosProcedencia.Create(Self);
  Contenido.Entidad := entInformes;
  Contenido.Modo := Consultar;
end;

end.
